2

[alpine-devel] [PATCH] APKBUILD for lxappearance package

k0r10n
Details
Message ID
<1410925920-12085-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1410925920
DKIM signature
missing
Download raw message
Patch: +36 -0
---
 aports/testing/lxappearance/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 aports/testing/lxappearance/APKBUILD

diff --git a/aports/testing/lxappearance/APKBUILD b/aports/testing/lxappearance/APKBUILD
new file mode 100644
index 0000000..c2d256f
--- /dev/null
+++ b/aports/testing/lxappearance/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer:
+
+pkgname=lxappearance
+pkgver=0.5.5
+pkgrel=0
+pkgdesc='Feature-rich GTK+ theme switcher'
+arch='all'
+license='GPL2'
+url='http://lxde.org/'
+makedepends='gtk+2.0-dev intltool dbus-glib-dev'
+subpackages="$pkgname-dev $pkgname-lang"
+source="http://downloads.sourceforge.net/sourceforge/lxde/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+build() {
+    cd "$_builddir"
+    ./configure --build=$CBUILD \
+                --host=$CHOST \
+	        --prefix=/usr \
+	        --sysconfdir=/etc \
+	        --mandir=/usr/share/man \
+	        --infodir=/usr/share/info \
+	        --localstatedir=/var \
+    		--disable-static \
+    		--enable-dbus || return 1
+    make  || return 1
+}
+
+package() {
+    cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a67113681d9d0a6d936289909aed5782  lxappearance-0.5.5.tar.xz"
+sha256sums="8cae82e6425ba8a0267774e4d10096df2d91b0597520058331684a5ece068b4c  lxappearance-0.5.5.tar.xz"
+sha512sums="7e6740b598f2b2856650fe94ccdfea94a0717c27dee6415b3abc58b0587acdca6aef22be7ec950e7c76127ef414f06eb70bfdea5f9324d2fb99cbbf2bf78522d  lxappearance-0.5.5.tar.xz"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140917162339.0fd0831e@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1410925920-12085-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1410963819
DKIM signature
missing
Download raw message
On Wed, 17 Sep 2014 07:52:00 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  aports/testing/lxappearance/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++

The directory is wrong.

it should be:

  testing/lxappearance/APKBUILD

without the aports/ prefix.


-nc



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140917163254.29274bc1@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1410925920-12085-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1410964374
DKIM signature
missing
Download raw message
On Wed, 17 Sep 2014 07:52:00 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  aports/testing/lxappearance/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 36 insertions(+)
>  create mode 100644 aports/testing/lxappearance/APKBUILD

when filtering it via sed -e 's:aports/testing/:testing/:g' i get:

error: testing/lxappearance/APKBUILD: already exists in index
Patch failed at 0001 APKBUILD for lxappearance package

git log tells me:
commit d928253fc1fb07fb221cdf1a00585d928d256652
Author: Bart*omiej Piotrowski <b@bpiotrowski.pl>
Date:   Sun Oct 20 14:04:50 2013 +0200

    testing/lxappearance: new aport


I added --enable-dbus and upgraded it to 0.5.5.
Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---